// ドキュメント内にある座標をアートボード単位の座標で書き出す
function writeCoords(saveObj){
	var pItems = activeDocument.pageItems;
	for(var i=0; i<pItems.length; i++){
		var rect = pItems[i].geometricBounds;
		var x1 = rect[0];
		var y1 = rect[3];
		var x2 = rect[2];
		var y2 = rect[1];
		saveObj.writeln("("+x1+","+y1+")-("+x2+","+y2+")");
	}
}
(function (){
	var f = File.saveDialog("保存ファイル名を指定してください");
	if (!f){ return; }
	var flag = f.open("w");
	if (!flag){ return; }
	app.coordinateSystem = CoordinateSystem.DOCUMENTCOORDINATESYSTEM;
	for(var i=0; i<activeDocument.artboards.length; i++){
		var aName = activeDocument.artboards[i].name;
		f.writeln("アートボード番号："+(i+1)+" / 名称："+aName);
		activeDocument.artboards.setActiveArtboardIndex(i);
		writeCoords(f);
		f.writeln("-------------------------");
	}
	f.close();
})();

